Subject: [bug#31788] [PATCH] tests: Honor the return value of 'start-service'.

From: [email-masked] (Ludovic Courtès)
Date: Wed, 13 Jun 2018 08:51:01 +0200

Clément Lassieur <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> I’m not entirely sure about things like this:
>>
>> -          (test-eq "service running"
>> -            'running!
>> +          (test-assert "service running"
>>              (marionette-eval
>>               '(begin
>>                  (use-modules (gnu services herd))
>> -                (start-service 'mcron)
>> -                'running!)
>> +                (start-service 'mcron))
>>               marionette))
>>
>> ‘start-service’ in this case returns a number (the PID), and I think
>> ‘test-assert’ reports a failure when the value is not exactly #t.  Isn’t
>> it the case?
>
> srfi-64 says: "The test passes if the result is true", so I believe
> test-assert reports a failure only when the value is #f (and maybe on
> exceptions), because anything else is true in Scheme.

Yeah I know; I had a vague recollection of SRFI-64 behaving funny but
that’s no longer the case.  So I guess you can go ahead.

Thank you!

Ludo’.